openSUSE 15 Security Update : bluez (openSUSE-SU-2021:2291-1)

medium Nessus Plugin ID 151743

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SUSE15 host has packages installed that are affected by multiple vulnerabilities as referenced in the openSUSE-SU-2021:2291-1 advisory.

- Bluetooth LE and BR/EDR secure pairing in Bluetooth Core Specification 2.1 through 5.2 may permit a nearby man-in-the-middle attacker to identify the Passkey used during pairing (in the Passkey authentication procedure) by reflection of the public key and the authentication evidence of the initiating device, potentially permitting this attacker to complete authenticated pairing with the responding device using the correct Passkey for the pairing session. The attack methodology determines the Passkey value one bit at a time. (CVE-2020-26558)

- Improper access control in BlueZ may allow an authenticated user to potentially enable information disclosure via adjacent access. (CVE-2021-0129)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://bugzilla.suse.com/1186463

http://www.nessus.org/u?7de23670

https://www.suse.com/security/cve/CVE-2020-26558

https://www.suse.com/security/cve/CVE-2021-0129

Plugin Details

Severity: Medium

ID: 151743

File Name: openSUSE-2021-2291.nasl

Version: 1.3

Type: local

Agent: unix

Published: 7/16/2021

Updated: 5/9/2022

Supported Sensors: Nessus Agent

Risk Information

CVSS Score Source: CVE-2020-26558

VPR

Risk Factor: Medium

Score: 4.4

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Temporal Score: 3.2

Vector: AV:A/AC:M/Au:N/C:P/I:P/A:N

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Medium

Base Score: 5.7

Temporal Score: 5

Vector: CVSS:3.0/AV:A/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:bluez, p-cpe:/a:novell:opensuse:bluez-auto-enable-devices, p-cpe:/a:novell:opensuse:bluez-cups, p-cpe:/a:novell:opensuse:bluez-deprecated, p-cpe:/a:novell:opensuse:bluez-devel, p-cpe:/a:novell:opensuse:bluez-devel-32bit, p-cpe:/a:novell:opensuse:bluez-test, p-cpe:/a:novell:opensuse:libbluetooth3, p-cpe:/a:novell:opensuse:libbluetooth3-32bit, cpe:/o:novell:opensuse:15.3

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 7/12/2021

Vulnerability Publication Date: 5/24/2021

Reference Information

CVE: CVE-2020-26558, CVE-2021-0129